# Spot GEX exposures by strike `GET` `https://api.unusualwhales.com/api/stock/{ticker}/spot-exposures/strike` Returns the most recent spot GEX exposures across all strikes for the given ticker on a given date. Calculated either with open interest or with volume. Spot GEX is the assumed $ value of the given greek (ie. gamma) exposure that market makers need to hedge per 1% change of the underlying stock's price movement. A positive value is long and a negative value is short. Investors and large funds lower risk and protect their money by selling calls and buying puts. Market makers provide the liquidity to facilitate these trades. GEX assumes that market makers are part of every transaction and that the bulk of their transactions are buying calls and selling puts to investors hedging their portfolios. If a market maker has one contract open with a gamma value of 0.05, then if the underlying stock price moves by 1%, that market maker is exposed to $[0.05 * 100 shares * 0.01 * stock price * underlying parameter of the greek variable (for gamma this variable is the stock price)]. The total market maker spot exposure is calculated by summing up the spot exposure of all open contracts determined by the daily open interest or by volume. Market makers profit from the bid-ask spreads and as such, they constantly gamma hedge (they buy and sell shares to keep their positions delta neutral). Long call positions are positive gamma - as the stock price increases and delta rises (approaches 1), market makers hedge by selling shares, and they buy shares if the stock price decreases and delta falls. Short put positions are negative gamma - as the stock price increases and delta falls (approaches -1), market makers hedge by buying shares, and they sell shares if the stock price decreases and delta rises. As such, in the event of large positive gamma, volatility is suppressed as market makers will hedge by buying as the stock price decreases and selling as the stock price increases. And in the event of large negative gamma, volatility is amplified as market makers will hedge by buying as the stock price increases and selling as the stock price decreases. In the case of directionalized volume, the bid/ask spread is used when calculating the exposures. When a trade is made closer to the ask, the Market Maker would be selling the contract and when a trade is closer to the bid then the Market Maker would be buying the contract. For example, the gamma exposure for directional volume is call_gamma_ask, and the value will be negative since a trade made at the ask means the market makers are selling/short the call. To get the full directionalized exposure, just sum up the call ask, call bid, put ask and put bid of a greek and strike. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `min_strike` | Min Strike | No | The minimum strike. Min: 0. | | `max_strike` | Max Strike | No | The maximum strike. Min: 0. | | `limit` | Default 500 Max 500 Min 1 | No | How many items to return. Default: 500. Max: 500. Min: 1. | | `page` | Page | No | Page number (use with limit). Starts on page 0. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `call_charm_ask` | Spot Call Charm Ask Side Exposure | The call charm exposure when Market Makers are selling contracts when a transactions is closer to the ask side. | | `call_charm_bid` | Spot Call Charm Bid Side Exposure | The call charm exposure when Market Makers are buying contracts when a transactions is closer to the bid side. | | `call_charm_oi` | Spot Call Charm Exposure | The sum of the spot charm exposure values of all call transactions at a given strike. | | `call_charm_vol` | Spot Call Charm Exposure | The sum of the spot charm exposure values of all call transactions at a given strike. | | `call_delta_ask` | Spot Call Delta Ask Side Exposure | The call delta exposure when Market Makers are selling contracts when a transactions is closer to the ask side. | | `call_delta_bid` | Spot Call Delta Bid Side Exposure | The call delta exposure when Market Makers are buying contracts when a transactions is closer to the bid side. | | `call_delta_oi` | Spot Call Delta Exposure | The sum of the spot delta exposure values of all call transactions at a given strike. | | `call_delta_vol` | Spot Call Delta Exposure | The sum of the spot delta exposure values of all call transactions at a given strike. | | `call_gamma_ask` | Spot Call Gamma Ask Side Exposure | The call gamma exposure when Market Makers are selling contracts when a transactions is closer to the ask side. | | `call_gamma_bid` | Spot Call Gamma Bid Side Exposure | The call gamma exposure when Market Makers are buying contracts when a transactions is closer to the bid side. | | `call_gamma_oi` | Spot Call Gamma Exposure | The sum of the spot gamma exposure values of all call transactions at a given strike. | | `call_gamma_vol` | Spot Call Gamma Exposure | The sum of the spot gamma exposure values of all call transactions at a given strike. | | `call_vanna_ask` | Spot Call Vanna Ask Side Exposure | The call vanna exposure when Market Makers are selling contracts when a transactions is closer to the ask side. | | `call_vanna_bid` | Spot Call Vanna Bid Side Exposure | The call vanna exposure when Market Makers are buying contracts when a transactions is closer to the bid side. | | `call_vanna_oi` | Spot Call Vanna Exposure | The sum of the spot vanna exposure values of all call transactions at a given strike. | | `call_vanna_vol` | Spot Call Vanna Exposure | The sum of the spot vanna exposure values of all call transactions at a given strike. | | `price` | Gex Underlying Price | The underlying price used in calculations. NOTE: For any index ticker this will be the current ATM strike. | | `put_charm_ask` | Spot Put Charm Ask Side Exposure | The put charm exposure when Market Makers are selling contracts when a transactions is closer to the ask side. | | `put_charm_bid` | Spot Put Charm Bid Side Exposure | The put charm exposure when Market Makers are buying contracts when a transactions is closer to the bid side. | | `put_charm_oi` | Spot Put Charm Exposure | The sum of the spot charm exposure values of all put transactions at a given strike. | | `put_charm_vol` | Spot Put Charm Exposure | The sum of the spot charm exposure values of all put transactions at a given strike. | | `put_delta_ask` | Spot Put Delta Ask Side Exposure | The put delta exposure when Market Makers are selling contracts when a transactions is closer to the ask side. | | `put_delta_bid` | Spot Put Delta Bid Side Exposure | The put delta exposure when Market Makers are buying contracts when a transactions is closer to the bid side. | | `put_delta_oi` | Spot Put Delta Exposure | The sum of the spot delta exposure values of all put transactions at a given strike. | | `put_delta_vol` | Spot Put Delta Exposure | The sum of the spot delta exposure values of all put transactions at a given strike. | | `put_gamma_ask` | Spot Put Gamma Ask Side Exposure | The put gamma exposure when Market Makers are selling contracts when a transactions is closer to the ask side. | | `put_gamma_bid` | Spot Put Gamma Bid Side Exposure | The put gamma exposure when Market Makers are buying contracts when a transactions is closer to the bid side. | | `put_gamma_oi` | Spot Put Gamma Exposure | The sum of the spot gamma exposure values of all put transactions at a given strike. | | `put_gamma_vol` | Spot Put Gamma Exposure | The sum of the spot gamma exposure values of all put transactions at a given strike. | | `put_vanna_ask` | Spot Put Vanna Ask Side Exposure | The put vanna exposure when Market Makers are selling contracts when a transactions is closer to the ask side. | | `put_vanna_bid` | Spot Put Charm Bid Side Exposure | The put charm exposure when Market Makers are buying contracts when a transactions is closer to the bid side. | | `put_vanna_oi` | Spot Put Vanna Exposure | The sum of the spot vanna exposure values of all put transactions at a given strike. | | `put_vanna_vol` | Spot Put Vanna Exposure | The sum of the spot vanna exposure values of all put transactions at a given strike. | | `strike` | Strike | The strike price of an option contract. | | `time` | Gex Calculation Time | The UTC timestamp of the calculation | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/spot-exposures/strike" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/spot-exposures/strike", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "call_gamma_vol": "5124108502049.17", "put_vanna_oi": "12921519098.30", "call_charm_bid": "5820636.43", "call_vanna_oi": "65476967081.41", "call_charm_vol": "70827151575067.12", "put_vanna_vol": "12921519098.30", "call_vanna_ask": "22692351.20", "call_vanna_bid": "234235.52", "call_vanna_vol": "65476967081.41", "call_delta_bid": "30499234235.52", "call_delta_oi": "227549667.4651", "put_vanna_bid": "26934630.34", "call_gamma_bid": "30499234235.52", "call_delta_ask": "23452351.20", "time": "2023-12-13T05:00:41.481000Z", "put_gamma_ask": "9528523023.39", "put_charm_ask": "96836366.22", "put_delta_bid": "9342852354.34", "call_gamma_ask": "23452351.20", "price": "4650", "put_delta_ask": "9528523023.39", "call_gamma_oi": "5124108502049.17", "put_gamma_vol": "320909908341.10", "put_charm_bid": "6100352354.34", "put_delta_oi": "-191893077.7193", "put_charm_oi": "2282895170748.09", "put_gamma_bid": "9342852354.34", "put_charm_vol": "2282895170748.09", "put_vanna_ask": "495803.39", "call_delta_vol": "227549667.4651", "put_gamma_oi": "320909908341.10", "put_delta_vol": "-191893077.7193", "call_charm_oi": "70827151575067.12", "call_charm_ask": "2582359253.61" } ] } ```